Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 14894

Summary: X keymap not set up
Product: [Retired] Red Hat Linux Reporter: Nemeth, Laszlo <nemeth>
Component: XconfiguratorAssignee: Trond Eivind Glomsrxd <teg>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 7.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-08-02 21:45:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Nemeth, Laszlo 2000-07-31 17:15:53 UTC
After a Hungarian install, the Gnome desktop appears correctly in
hungarian, but the key mapping is left  US. On the console it's set up
correctly.

Comment 1 Matt Wilson 2000-08-02 04:24:27 UTC
Did you select a hungarian layout in the installer?  What does the XF86Config
look like?


Comment 2 Nemeth, Laszlo 2000-08-02 20:31:06 UTC
Hungarian layout was selected in install (textmode, if it matters), and it's set
up correctly for the console. XF86Config contains the following in the keyboard
section:

XkbModel "pc101"
XkbLayout "us"

It should be pc102 and hu, with those settings the mapping is OK.
btw. is kbdconfig supposed to set up the mapping in XF86Config as well? if not,
why? it'd be a good addition I think



Comment 3 Matt Wilson 2000-08-02 21:45:36 UTC
Aah, bug in Xconfigurator.  Trond, I checked in a fix, please build.


Comment 4 Trond Eivind Glomsrxd 2000-08-03 01:07:09 UTC
OK - try RPMS from http://people.redhat.com/teg/xc/